Bug 201889 - perl-Devel-Cover has numerous additional dependencies that are not required
perl-Devel-Cover has numerous additional dependencies that are not required
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-Devel-Cover (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Pedro Oliveira
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-09 13:19 EDT by Scott R. Godin
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: perl-Devel-Cover-0.59
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 06:56:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from cpan shell 'test Devel::Cover' (17.15 KB, text/plain)
2006-08-09 13:19 EDT, Scott R. Godin
no flags Details

  None (edit)
Description Scott R. Godin 2006-08-09 13:19:44 EDT
Description of problem:

spurious additional dependencies. Snipped from yum update perl-Devel-Cover:

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 perl-Devel-Cover        i386       0.56-1.fc5       extras            164 k
Installing for dependencies:
 perl-CSS-Tiny           noarch     1.11-1.fc5       extras             19 k
 perl-File-Slurp         noarch     9999.12-1.fc5    extras             30 k
 perl-List-MoreUtils     i386       0.21-1.fc5       extras             60 k
 perl-PPI                noarch     1.115-2.fc5      extras            361 k
 perl-PPI-HTML           noarch     1.07-1.fc5       extras             22 k
 perl-Params-Util        noarch     0.15-1.fc5       extras             21 k

Transaction Summary
=============================================================================
Install      6 Package(s)         
Update       1 Package(s)         
Remove       0 Package(s)         

Version-Release number of selected component (if applicable):
0.56-1.fc5

How reproducible:
yum update perl-Devel-Cover

Steps to Reproduce:
1. see above
2.
3.
  
Actual results:
see above description

Expected results:
only Devel::Cover would get updated, and not an additional slew of unrequired 
dependencies additionally installed.

Additional info:
As you can see from my CPAN shell, I have none of the 'dependencies' installed. 

cpan> m CSS::Tiny
Fetching with LWP:
  http://cpan.binarycompass.org/authors/id/A/AD/ADAMK/CHECKSUMS
Module id = CSS::Tiny
    CPAN_USERID  ADAMK (Adam Kennedy <cpan@ali.as>)
    CPAN_VERSION 1.11
    CPAN_FILE    A/AD/ADAMK/CSS-Tiny-1.11.tar.gz
    UPLOAD_DATE  2005-10-21
    DSLIP_STATUS       (,,,,)
    INST_FILE    (not installed)

cpan> m File::Slurp 
Fetching with LWP:
  http://cpan.binarycompass.org/authors/id/U/UR/URI/CHECKSUMS
Module id = File::Slurp
    DESCRIPTION  Read/write/append files quickly
    CPAN_USERID  URI (Uri Guttman <uri@sysarch.com>)
    CPAN_VERSION 9999.12
    CPAN_FILE    U/UR/URI/File-Slurp-9999.12.tar.gz
    UPLOAD_DATE  2006-03-07
    DSLIP_STATUS Mdpfo (mature,developer,perl,functions,open-source)
    INST_FILE    (not installed)

cpan> m List::MoreUtils
Fetching with LWP:
  http://cpan.binarycompass.org/authors/id/V/VP/VPARSEVAL/CHECKSUMS
Module id = List::MoreUtils
    CPAN_USERID  VPARSEVAL (Tassilo von Parseval <tassilo.parseval@post.rwth-
aachen.de>)
    CPAN_VERSION 0.21
    CPAN_FILE    V/VP/VPARSEVAL/List-MoreUtils-0.21.tar.gz
    UPLOAD_DATE  2006-06-18
    DSLIP_STATUS       (,,,,)
    INST_FILE    (not installed)

cpan> m PPI
Module id = PPI
    CPAN_USERID  ADAMK (Adam Kennedy <cpan@ali.as>)
    CPAN_VERSION 1.115
    CPAN_FILE    A/AD/ADAMK/PPI-1.115.tar.gz
    UPLOAD_DATE  2006-06-04
    DSLIP_STATUS       (,,,,)
    INST_FILE    (not installed)

cpan> m PPI::HTML
Module id = PPI::HTML
    CPAN_USERID  ADAMK (Adam Kennedy <cpan@ali.as>)
    CPAN_VERSION 1.07
    CPAN_FILE    A/AD/ADAMK/PPI-HTML-1.07.tar.gz
    UPLOAD_DATE  2006-05-12
    DSLIP_STATUS       (,,,,)
    INST_FILE    (not installed)

cpan> m Params::Util
Module id = Params::Util
    CPAN_USERID  ADAMK (Adam Kennedy <cpan@ali.as>)
    CPAN_VERSION 0.17
    CPAN_FILE    A/AD/ADAMK/Params-Util-0.17.tar.gz
    UPLOAD_DATE  2006-08-08
    DSLIP_STATUS       (,,,,)
    INST_FILE    (not installed)

As you can see, none of the above are installed. However, when I run test 
Devel::Cover in the cpan shell, you'll see it passes all test successfully, 
proving conclusively that the above packages are not dependencies. It mentions 
that if you *want* the additional functionality, you have to install PPI::HTML, 
which is what I presume is pulling in all the other additional deps. This can, 
however, be done at a later time, if such functionality is desired. 

Such should be noted in the changelogs and additionally the packages 
description, that such additional functionality is *available* but it should 
not be automatically *required*.
Comment 1 Scott R. Godin 2006-08-09 13:19:44 EDT
Created attachment 133858 [details]
output from cpan shell 'test Devel::Cover'
Comment 2 Jose Pedro Oliveira 2006-09-06 16:40:56 EDT
Scott,

Should be fixed in perl-Devel-Cover-0.59 (removed perl-PPI-HTML from the
requirements list).

perl-Devel-Cover-0.59 has already been built for FC-5 and devel, and should
appear in the mirrors in a day or two. 

jpo

FYI: As of version 0.57 the HTML highlight can also be done with the optional
package perltidy.
Comment 3 Jose Pedro Oliveira 2006-09-07 06:56:23 EDT
Closing this ticket as perl-Devel-Cover-0.59 is already available in the mirrors.

Note You need to log in before you can comment on or make changes to this bug.